#ifndef __LCD_INIT_H
#define __LCD_INIT_H

#include "sys.h"

#define USE_HORIZONTAL 3  //úʾ 01Ϊ 23Ϊ


#if USE_HORIZONTAL==0||USE_HORIZONTAL==1
#define LCD_W 80
#define LCD_H 160

#else
#define LCD_W 160
#define LCD_H 80
#endif



//-----------------LCD˿ڶ---------------- 

#define LCD_SCLK(a) R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_01_PIN_02, a)//SCL=SCLK

#define LCD_MOSI(a) R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_01_PIN_01, a)//SDA=MOSI

#define LCD_RES(a)  R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_05_PIN_00, a)//RES

#define LCD_DC(a)   R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_01_PIN_00, a)//DC
 		     
#define LCD_CS(a)   R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_15, a)//CS

#define LCD_BLK(a)  R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_01_PIN_03, a)//BL


#define LCD_SCLK_Clr() LCD_SCLK(0)//SCL=SCLK
#define LCD_SCLK_Set() LCD_SCLK(1)

#define LCD_MOSI_Clr() LCD_MOSI(0)//SDA=MOSI
#define LCD_MOSI_Set() LCD_MOSI(1)

#define LCD_RES_Clr()  LCD_RES(0)//RES
#define LCD_RES_Set()  LCD_RES(1)

#define LCD_DC_Clr()   LCD_DC(0)//DC
#define LCD_DC_Set()   LCD_DC(1)
 		     
#define LCD_CS_Clr()   LCD_CS(0)//CS
#define LCD_CS_Set()   LCD_CS(1)

#define LCD_BLK_Clr()  LCD_BLK(0)//BLK
#define LCD_BLK_Set()  LCD_BLK(1)




void LCD_Writ_Bus(u8 dat);//ģSPIʱ
void LCD_WR_DATA8(u8 dat);//дһֽ
void LCD_WR_DATA(u16 dat);//дֽ
void LCD_WR_REG(u8 dat);//дһָ
void LCD_Address_Set(u16 x1,u16 y1,u16 x2,u16 y2);//꺯
void LCD_Init(void);//LCDʼ
#endif




